%define moodledir	%webserver_webappsdir/%name
%define moodledata	%webserver_webappsdir/moodledata
%define cvsdate		20081210

Name: moodle
Version: 1.9.3
Release: alt2.cvs%cvsdate

Summary: A Course Management System
License: GPL
Group: Networking/Other

Url: http://www.moodle.org
Packager: Vladimir A. Svyatoshenko <svyt@altlinux.ru>
BuildArch: noarch
Source: %name-%version-%cvsdate.tar.bz2
Source1: %name.httpd.conf
Source2: %name.httpd2.conf

Patch1: %name-alt-install-datadir-fix.patch

Requires: webserver-common php-engine php5-gd2 php5-openssl php5-xmlrpc php5-curl iconv php5-mbstring php5-ldap 
Requires: mimetex tetex-latex tetex-dvips ImageMagick moodle-lang-en_utf8
BuildRequires: rpm-macros-webserver-common rpm-build-webserver-common
AutoReqProv:	off

%description
Moodle is a course management system (CMS) - a free, Open Source software
package designed using sound pedagogical principles, to help educators create
effective online learning communities.

%package apache
Summary: apache-related config
Group: Networking/Other
Requires: %name = %version-%release
Requires: apache apache-mod_php5

%description apache
%summary

%package apache2
Summary: apach2e-related config
Group: Networking/Other
Requires: %name = %version-%release
Requires: apache2 apache2-mod_php5

%description apache2
%summary

%package local-mysql
Summary: installed mysql-server on localhost for Moodle
Group: Networking/Other
Requires: %name = %version-%release
Requires: MySQL-server php5-mysql

%description local-mysql
installed mysql-server on localhost for Moodle

%summary

%package local-pgsql
Summary: installed postgresql-server on localhost for Moodle
Group: Networking/Other
Requires: %name = %version-%release
Requires: postgresql8.2-server php5-pgsql 

%description local-pgsql
installed postgresql-server on localhost for Moodle

%summary

%prep
%setup -q -n %name
%patch1 -p1

rm -f filter/tex/*mimetex*
rm -Rdf lang/en_utf8
#rm -f filter/algebra/*

%build

%install
# install moodle
mkdir -p %buildroot%moodledir/
mkdir -p %buildroot%moodledata/
cp -rp * %buildroot%moodledir/
ln -s %webserver_cgibindir/mimetex.cgi %buildroot%moodledir/filter/tex/mimetex.linux

# install apache config
install -pD -m0644 %SOURCE1 %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf
install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/httpd2/conf/addon.d/A.%name.conf

%post apache
chown root:apache %moodledir/
control apache-mod_php5 relaxed
%_initdir/httpd reload

%postun apache
%_initdir/httpd reload

%post apache2
chown root:apache2 %moodledir/
control apache2-mod_php5 relaxed
%_initdir/httpd2 reload

%postun apache2
%_initdir/httpd2 reload

%files
%dir %attr(2775,root,root) %moodledir/
%moodledir/*

%files apache
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules.d/%name.conf
%dir %attr(2775,root,_webmaster) %moodledata/


%files apache2
%config(noreplace) %_sysconfdir/httpd2/conf/addon.d/A.%name.conf
%dir %attr(2775,toot,_webmaster) %moodledata/

%files local-mysql

%files local-pgsql

%changelog
* Mon Dec 15 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.3-alt2.cvs20081210
- set permissions on /var/webapps/moodlemata to root:_webmaster by WebPolicy

* Thu Dec 11 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.3-alt1.cvs20081210
- weekly bug fix build from cvs

* Thu Oct 16 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.3-alt1
- security fix version

* Mon Oct 13 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.2-alt1.cvs20081008
- weekly bug fix build from cvs

* Mon Sep 08 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.2-alt1.cvs20080903
- build from cvs
- remove lang/en_utf8 to package

* Wed Aug 27 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.2-alt1.cvs20080827
- build from cvs
- MDL-16061   Remove 'username' from the $moodleattributes array
- MDL-14453   Smilies from HTML editor seem to be relative URLs and thus break in email
- MDL-15304   Labels with nothing but tags in them don't work
- MDL-9983    trigger certain events out of the core to modules
- MDL-14565   Give modules the ability to add whole trees of settings pages to the admin menu of they want.
- MDL-8912    Review 17_STABLE and 18_STABLE 19_STABLE Unmerged Files before July 1.9.2 release
- MDL-14201   Summary graph
- MDL-13861   lib/statslib SQL errors under Oracle
- MDL-15203   Theme credits require updating
- MDL-12809   $CATEGORY label doesn't work in GIFT
- MDL-14697   Participants page OK button is redundant
- MDL-15473   Moodle Format image tags are ignored if there is no image (base_64) information
- MDL-12392   Manual grading report does not recognise global role assignments of students
- MDL-14200   Add group and course averages
- MDL-7772    Quiz results overview: not all combinations of Show attempts with ... & Groups settings work properly
- MDL-13678   Change default number of rows per page on quiz reports
- MDL-14764   Imported multichoice questions may have a blank answernumbering value, which results in an "ERR" prefix to all answers' text.
- MDL-13927   Indicate missing parent languages on lang pack import page

* Thu Jul 31 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.2-alt1.cvs20080730
- build from cvs 
- MDL-15787   Using hidden feedbacks on front page
- MDL-8270    Full block backup/restore routine with code
- MDL-14261   User denied access to view site logs when moodle/site:viewreports allowed in the system context
- MDL-15544   Disable email signup in new installation - add danger warning
- MDL-14932   Improve  accessibility of 'assign role' button and the consistency of the UI in bulk user actions page
- MDL-15610   mtable entry for \mod\label\db\install.xml should be label not quiz
- MDL-15601   Check for things before trying to use them to avoid notices
- MDL-15198   non-standard sql in reportlib.php
- MDL-15034   course restore as admin overwrites front page
- MDL-15689   Backup/restore process does not keep the categories in the gradebook
- MDL-15080   char to int cast problem in get_recent_enrolments()
- MDL-13942   Cannot restore course that contains groups
- MDL-14453   Smilies from HTML editor seem to be relative URLs and thus break in email
- MDL-13261   get_context_users_by_cap has some problems
- MDL-13811   Add a confirmation step when a user changes their own email address in their profile.
- MDL-14233   Make bulk user picture upload handle subdirectories in zip files (with patch)
- MDL-14279   Use get_file_url instead of manual slasharguments check
- MDL-14035   Grader report doesn't respect the user->picture field...
- MDL-13343   When deleting a course category, it will also delete all courses in that category
- MDL-14999   Patch fixing various HTMLarea issues
- MDL-15389   add info concerning spam dangers of open profiles
- MDL-8912    Review 17_STABLE and 18_STABLE 19_STABLE Unmerged Files before July 1.9.2 release
- MDL-10586   $table->head of admin/user.php needs some fix.
- MDL-10633   Event names in Calendar are not properly escaped with recursive_stripslashes
- MDL-14838   Bad packaging of /mod/wiki/overridelock.php

* Fri Jul 11 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.2-alt1
- new security fix version
- MDL-15184: sql injection in HotPot module
- MDL-15413: Potential webroot disclosures warning
- MDL-15079: Potential non-persistent XSS when searching for group members (MSSQL and Oracle only)
- MDL-15552: potential sql injection in events handling code
- MDL-15516: profiles of deleted users were accessible
- MDL-13811: Email could be changed in profile without confirmation

* Fri Jul 11 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.1-alt6.cvs20080711.1
- build from last week cvs
- MDL-14820   Bad XHTML when deleting directory
- MDL-14173   Oracle NLS_NUMERIC_CHARACTERS break TESTs, config settings from Oct/07 help!
- MDL-11629   Oracle can't store multiple choice fractional value questions.
- MDL-10974   Infinite loop in enrol/database/enrol.php syncronization code
- MDL-13860   ADL Scorm 2004 LMS Conformance Test
- MDL-13343   When deleting a course category, it will also delete all courses in that category
- MDL-14378   When deleting course category deal with everything that depends on its context
- MDL-14439   Drop down menus not usable and not accessible in IE using keyboard only
- MDL-9655    database module preset importer eats html
- MDL-9684    sort field in database preset import/export
- MDL-13618   Restore: Gradebook - fix restore so that individual grade exclusions are restored to 1.9 gradebook as excluded
- MDL-12842   Gradebook fails to properly calculate score when using "drop X lowest" and "exclude assignment"
- MDL-13900   Course-access partially not working correctly
- MDL-14466   Preset importer throws error
- MDL-15524   Manual grade items with calculations not restoring properly.
- MDL-14841   Grade item calculation formula not restored properly

* Mon Jul 07 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.1-alt6.cvs20080702
- fix path to moodledata
- fix mimetex filter

* Fri Jul 04 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.1-alt5.cvs20080702
- fix httpd.conf 

* Wed Jul 02 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.1-alt4.cvs20080702
- fix httpd(2).conf

* Wed Jul 02 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.1-alt3.cvs20080702
- remove .httaccess and add config php to http(2).conf
- last week cvs
- MDL-15029   Create an enrollment plug-in to create a group for each new user
- MDL-13321   Improve forum tracking related code in cron
- MDL-14525   bad result in the Excel after download
- MDL-14439   Drop down menus not usable and not accessible in IE using keyboard only
- MDL-12300   message window does not show date
- MDL-13796   Captcha element for registration form
- MDL-7407    Add turing number into email signup form

* Fri Jun 27 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.1-alt2.cvs20080625
- add .htaccess

* Fri Jun 27 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.1-alt1.1.cvs20080625
- rebuild with fix moodle.spec

* Thu Jun 26 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.1-alt1.cvs20080625
- new version from cvs
- change install path to /var/www/webapps
- MDL-14342   Quotes mismatch leads to print "$cid" instead of the value of  $cid
- MDL-14525   bad result in the Excel after download
- MDL-15029   Create an enrollment plug-in to create a group for each new user
- MDL-15331   Feedback fails to remove slashes when editing questions in 1.9.
- MDL-14336   mdl_data's defaultsort ID not set properly at importing preset.zip
- MDL-14378   When deleting course category deal with everything that depends on its context
- MDL-14525   bad result in the Excel after download
- MDL-10038   Forum Tracking - Logic and Links are wrong
- MDL-14328   Global Search : Initial settings when installing do not allow finding the converters, even if additional libs have been copied in.
- MDL-14804   question_list_instances is broken
- MDL-14223   Add a column for the user's idnumber, controllable by a site-wide setting
- MDL-15234   exported questions from moodle 1.8 will not be imported correctly on moodle 1.9
- MDL-14104   Make generate_password() respect password complexity policies (with patch)
- MDL-15029   Create an enrollment plug-in to create a group for each new user
- MDL-13900   Course-access partially not working correctly
- MDL-9907    Make it possible to have the ##user## (=author) a sortable and searchable field
- MDL-15202   The item textarea print out a notice while the excelexport if there are no values
- MDL-14235   On logging in an image appeary instead of the moodle page. always works correctly the second try.
- MDL-15186   when editing questions, fields appears blank on php4
- MDL-14557   PostgreSQL+empty integer problem: user/editadvanced_form.php
- MDL-12531   Add "institution" to lockable fields (admin/auth_config.php)

* Mon Jun 02 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.1-alt1.1.cvs20080528
- rebuild with spec correction

* Mon Jun 02 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.1-alt1.cvs20080528
- new version from cvs

* Tue Jun 05 2007 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.8.1-alt1
- built for ALT Linux
